Receive Inbound Shipment
curl --request PUT \
--url https://production.trackstarhq.com/wms/inbound-shipments/{inbound_shipment_id}/receive \
--header 'Content-Type: application/json' \
--header 'x-trackstar-access-token: <x-trackstar-access-token>' \
--header 'x-trackstar-api-key: <x-trackstar-api-key>' \
--data '
{
"line_items": [
{
"sku": "item_id",
"quantity": 1
}
],
"warehouse_location_id": "location",
"warehouse_id": "warehouse_id123"
}
'import requests
url = "https://production.trackstarhq.com/wms/inbound-shipments/{inbound_shipment_id}/receive"
payload = {
"line_items": [
{
"sku": "item_id",
"quantity": 1
}
],
"warehouse_location_id": "location",
"warehouse_id": "warehouse_id123"
}
headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
line_items: [{sku: 'item_id', quantity: 1}],
warehouse_location_id: 'location',
warehouse_id: 'warehouse_id123'
})
};
fetch('https://production.trackstarhq.com/wms/inbound-shipments/{inbound_shipment_id}/receive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "id",
"unused_fields": [
"<string>"
],
"data": {
"id": "inbound_id",
"warehouse_customer_id": "warehouse_customer_id",
"created_date": "2022-01-01T00:00:00Z",
"updated_date": "2022-01-02T05:05:05Z",
"purchase_order_number": "po_number_123",
"status": "receiving",
"raw_status": "raw_status",
"supplier_object": {
"supplier_id": "supplier_id",
"supplier_name": "supplier_name"
},
"expected_arrival_date": "2022-10-10T01:02:03Z",
"warehouse_id": "warehouse_id123",
"line_items": [
{
"inventory_item_id": "item_id",
"sku": "sku",
"expected_quantity": 2,
"received_quantity": 1,
"unit_cost": 1,
"external_id": "external_sku"
}
],
"receipts": [
{
"id": "receipt_id",
"arrived_date": "2022-10-10T01:02:03Z",
"line_items": [
{
"inventory_item_id": "item_id",
"sku": "sku",
"quantity": 1
}
]
}
],
"ship_from_address": {
"address1": "123 Main St",
"address2": "Apt 2",
"address3": "Floor 3",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country": "United States"
},
"tracking_numbers": [
"tracking_number_1",
"tracking_number_2"
],
"notes": [
"note_1",
"note_2"
],
"external_system_url": "https://example.com/inboundshipment/123",
"trackstar_tags": [
"tag1",
"tag2",
{
"tag3": "value3"
}
],
"additional_fields": {
"key": "value"
},
"trackstar_created_date": "2023-11-07T05:31:56Z",
"trackstar_updated_date": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Inbound Shipments
Receive Inbound Shipment
Receive an inbound shipment for the WMS connection with the associated inbound shipment id.
PUT
/
wms
/
inbound-shipments
/
{inbound_shipment_id}
/
receive
Receive Inbound Shipment
Headers
Your organization-level Trackstar API key.
Example:
"<x-trackstar-api-key>"
Your user's access token for a specific integration (ShipHero, Extensiv, etc).
Example:
"<x-trackstar-access-token>"
Path Parameters
Body
application/json
- Base Schema
- Extensiv (3PL Central)
- WMS Sandbox
- Linnworks Core (SKUVault)
List of line items included in the receiving event.
Show child attributes
Show child attributes
Example:
[{ "sku": "item_id", "quantity": 1 }]
Location where the item is being received. Can be passed into the Warehouse Location endpoint for more details.
Example:
"location"
⌘I